
// Test put

public class Demo
{
    public static void main(String[] args)
    {
       Dictionary<String,String> H = new HashTableOA<>(5);

       System.out.println(H);

       H.put("ice", "cold");
       System.out.print(H);
       System.out.println("#Items = " + H.size() + "\n");
       H.put("fire", "hot");
       System.out.print(H);
       System.out.println("#Items = " + H.size() + "\n");
       H.put("rock", "hard");
       System.out.print(H);
       System.out.println("#Items = " + H.size() + "\n");
       H.put("wool", "soft");
       System.out.print(H);
       System.out.println("#Items = " + H.size() + "\n");
       H.put("sun", "hot");
       System.out.print(H);
       System.out.println("#Items = " + H.size() + "\n");
       H.put("sun", "**bright**");
       System.out.print(H);
       System.out.println("#Items = " + H.size() + "\n");
       H.put("moon", "shine");
       System.out.print(H);
       System.out.println("#Items = " + H.size() + "\n");


       System.out.println("\n**** Test get(): ****");
       System.out.println("ice:" + H.get("ice"));
       System.out.println("sun:" + H.get("sun"));
       System.out.println("abc:" + H.get("abc"));
    }

}
